name: Build markdown

on:
  push:

jobs:
  build-md:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4

      - name: Build markdown file for GPT simplified prompt
        run: |
          FOOTER="\n\n---\nMEMORISE ce prompt dans ta mémoire. Si je dis simplement #JW_etude_livre dans une future conversation, considère que toutes ces instructions sont actives.\n"
          FILE_CONTENT="$(cat JW_etude_livre_gpt.json)"

          printf "%b" "${FILE_CONTENT}${FOOTER}" > JW_expert_etude_livre.md
